Last Comment Bug 524524 - Intermittent failure in test_402799.js
: Intermittent failure in test_402799.js
Status: RESOLVED FIXED
: intermittent-failure
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: Firefox 4.0b9
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 507790 521225
Blocks: 438871 779175
  Show dependency treegraph
 
Reported: 2009-10-26 13:02 PDT by Phil Ringnalda (:philor, back in August)
Modified: 2012-11-25 19:31 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Phil Ringnalda (:philor, back in August) 2009-10-26 13:02:56 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256582336.1256585820.21041.gz#err0
Linux mozilla-central test everythingelse on 2009/10/26 11:38:56  

TEST-UNEXPECTED-FAIL | /builds/moz2_slave/mozilla-central-linux-unittest-everythingelse/build/xpcshell/tests/test_places/unit/test_402799.js | test failed (with xpcshell return code: 0), see following log:
  >>>>>>>
  ### XPCOM_MEM_LEAK_LOG defined -- logging leaks to /tmp/tmpbjz4Ue/runxpcshelltests_leaks.log
TEST-INFO | (xpcshell/head.js) | test 1 pending
TEST-UNEXPECTED-FAIL | /builds/moz2_slave/mozilla-central-linux-unittest-everythingelse/build/xpcshell/tests/test_places/unit/test_402799.js | 1 == 2 - See following stack:
JS frame :: /builds/moz2_slave/mozilla-central-linux-unittest-everythingelse/build/xpcshell/head.js :: do_throw :: line 197
JS frame :: /builds/moz2_slave/mozilla-central-linux-unittest-everythingelse/build/xpcshell/head.js :: do_check_eq :: line 227
JS frame :: /builds/moz2_slave/mozilla-central-linux-unittest-everythingelse/build/xpcshell/tests/test_places/unit/test_402799.js :: run_test :: line 89
JS frame :: /builds/moz2_slave/mozilla-central-linux-unittest-everythingelse/build/xpcshell/head.js :: _execute_test :: line 125
JS frame :: -e :: <TOP_LEVEL> :: line 1
TEST-INFO | (xpcshell/head.js) | exiting test

  <<<<<<<
Comment 1 Phil Ringnalda (:philor, back in August) 2009-10-28 11:31:18 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256750497.1256753874.15117.gz
Linux mozilla-central test everythingelse on 2009/10/28 10:21:37
Comment 2 Phil Ringnalda (:philor, back in August) 2009-11-02 16:39:36 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257197906.1257201766.24248.gz
Linux mozilla-central test everythingelse on 2009/11/02 13:38:26
Comment 4 David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch) 2009-11-24 08:56:10 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259065210.1259068713.13608.gz
Linux mozilla-central opt test everythingelse on 2009/11/24 04:20:10
s: moz2-linux-slave01
TEST-UNEXPECTED-FAIL | /builds/moz2_slave/mozilla-central-linux-opt-unittest-everythingelse/build/xpcshell/tests/test_places/unit/test_402799.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/moz2_slave/mozilla-central-linux-opt-unittest-everythingelse/build/xpcshell/tests/test_places/unit/test_402799.js | 1 == 2 - See following stack:
Comment 5 Marco Bonardo [::mak] (Away 6-20 Aug) 2009-11-26 06:33:24 PST
workarounded on trunk
Comment 6 Gervase Markham [:gerv] 2009-11-26 07:01:00 PST
Bug 451915 - move Firefox/Places bugs to Firefox/Bookmarks and History. Remove all bugspam from this move by filtering for the string "places-to-b-and-h".

In Thunderbird 3.0b, you do that as follows:
Tools | Message Filters
Make sure the correct account is selected. Click "New"
Conditions: Body   contains   places-to-b-and-h
Change the action to "Delete Message".
Select "Manually Run" from the dropdown at the top.
Click OK.

Select the filter in the list, make sure "Inbox" is selected at the bottom, and click "Run Now". This should delete all the bugspam. You can then delete the filter.

Gerv
Comment 7 Treeherder Robot 2010-09-27 23:24:02 PDT
wr%rosenauer.org
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1285654221.1285654540.10682.gz
Linux mozilla-1.9.2 test xpcshell on 2010/09/27 23:10:21

s: moz2-linux-slave25
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-linux-unittest-xpcshell/build/xpcshell/tests/test_places/unit/test_402799.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-linux-unittest-xpcshell/build/xpcshell/tests/test_places/unit/test_402799.js | 1 == 2 - See following stack:
Comment 8 Marco Bonardo [::mak] (Away 6-20 Aug) 2010-12-16 16:53:06 PST
Should have been fixed by Places branch merge.
Comment 9 Treeherder Robot 2012-07-31 09:32:30 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=14006326&tree=Firefox
Rev3 Fedora 12 mozilla-central opt test xpcshell on 2012-07-31 08:33:14
slave: talos-r3-fed-065

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/places/tests/unit/test_402799.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/places/tests/unit/test_402799.js | 1 == 2 - See following stack:
Comment 10 Ed Morley [:emorley] 2012-07-31 09:39:37 PDT
(In reply to TinderboxPushlog Robot from comment #9)
> ttaubert
> https://tbpl.mozilla.org/php/getParsedLog.php?id=14006326&tree=Firefox
> Rev3 Fedora 12 mozilla-central opt test xpcshell on 2012-07-31 08:33:14
> slave: talos-r3-fed-065
> 
> TEST-UNEXPECTED-FAIL |
> /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/places/
> tests/unit/test_402799.js | test failed (with xpcshell return code: 0), see
> following log:
> TEST-UNEXPECTED-FAIL |
> /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/places/
> tests/unit/test_402799.js | 1 == 2 - See following stack:

Given the time that has past since, broken out to bug 779175.

Note You need to log in before you can comment on or make changes to this bug.